Index: src/java/org/apache/lucene/search/MultiTermQuery.java
===================================================================
--- src/java/org/apache/lucene/search/MultiTermQuery.java	(revision 885369)
+++ src/java/org/apache/lucene/search/MultiTermQuery.java	(working copy)
@@ -407,18 +407,17 @@
    * @deprecated Please override {@link #getTermsEnum} instead */
   protected FilteredTermEnum getEnum(IndexReader reader)
     throws IOException {
-    return null;
+    throw new UnsupportedOperationException("Please override either getTermsEnum() or getEnum() in MultiTermQuery.");
   }
 
   /** Construct the enumeration to be used, expanding the
    *  pattern term.  This method must return null if no
    *  terms fall in the range; else, it must return a
    *  TermsEnum already positioned to the first matching
-   *  term.
-   *
-   *  nocommit in 3.x this will become abstract  */
+   *  term. */
   protected FilteredTermsEnum getTermsEnum(IndexReader reader)
     throws IOException {
+		// delegates to getEnum() when returning null
     return null;
   }
 
Index: src/java/org/apache/lucene/search/NumericRangeQuery.java
===================================================================
--- src/java/org/apache/lucene/search/NumericRangeQuery.java	(revision 885369)
+++ src/java/org/apache/lucene/search/NumericRangeQuery.java	(working copy)
@@ -304,11 +304,6 @@
   }
   
   @Override
-  protected FilteredTermEnum getEnum(final IndexReader reader) throws IOException {
-    throw new UnsupportedOperationException("not implemented");
-  }
-
-  @Override
   protected FilteredTermsEnum getTermsEnum(final IndexReader reader) throws IOException {
     return new NumericRangeTermsEnum(reader);
   }
